//
//	Copyright (C) 1997,1998,1999 Forest Edge Software, All Rights Reserved
//
//	Program:	eVAX, a "Virtual VAX" for Mac OS Computers
//
//	Author:		Tom Cole
//
//	Module:		include.h
//
//	Purpose:	This module contains definitions for data structures
//				used to store the nested stack of include files.
//
//	History:	02/15/98	Initial creation
//
//



struct INCLUDE {
	struct INCLUDE 	*next;
	FILE			*fp;
	long			verify;
	long            assembler_mode;
	char			fname[ 1 ];
};


//	Prototypes routines (located in driver.c) for handling the
//	include file stack.

long push_include( struct VAX * vax, char * name, char * extension );

long pop_include( struct VAX * vax  );
